> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensource-together.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all categories

> Retrieve all available categories



## OpenAPI

````yaml get /categories
openapi: 3.0.0
info:
  title: OST API
  description: OST API endpoints
  version: '0.1'
  contact: {}
servers:
  - url: https://api.opensource-together.com
    description: Backend server
security: []
tags:
  - name: ost
    description: ''
paths:
  /categories:
    get:
      tags:
        - Categories
      summary: Get all categories
      description: Retrieve all available categories
      operationId: CategoryController_findAll
      parameters: []
      responses:
        '200':
          description: Categories retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: ^tst_[0-9a-fA-F]{32}$
                          example: tst_34c5c442c32d45c9b3d8688c613fa914
                          description: Public ID of the tech stack
                        name:
                          type: string
                          example: React
                          description: Name of the technology or tool
                      required:
                        - id
                        - name
                  timestamp:
                    type: string
                    format: date-time
                    example: '2025-09-16T20:20:51.013Z'
                    description: Response timestamp
                required:
                  - data
                  - timestamp
              examples:
                Multiple tech stacks:
                  value:
                    data:
                      - id: cat_34c5c442c32d45c9b3d8688c613fa914
                        name: Developer Tools
                      - id: cat_c374e6f51e2f4347a58a2067e286a316
                        name: API & Microservices
                    timestamp: '2025-09-16T20:20:51.013Z'

````